Page MenuHomePhabricator

Increase user sampling rate
Closed, ResolvedPublic

Description

Currently 1% of users are being tracked and the Kartographer usage is so low that we don't get enough events.

We'd like to increase the user sampling rate to 5% or 10% while the Kartographer usage is low.

Dateevent typefeaturetotal number of events
2016-11-28openmapframe4
2016-11-28sidebar-hidemapframe1
2016-11-28sidebar-showmapframe1
2016-11-28viewmapframe4
2016-11-28hashopenmaplink1
2016-11-28openmaplink1
2016-11-28viewmaplink77
2016-11-29closemapframe1
2016-11-29hashopenmapframe1
2016-11-29openmapframe2
2016-11-29viewmapframe1
2016-11-29closemaplink5
2016-11-29openmaplink6
2016-11-29viewmaplink49
2016-11-30closemapframe4
2016-11-30hashopenmapframe1
2016-11-30openmapframe4
2016-11-30viewmapframe2
2016-11-30closemaplink9
2016-11-30openmaplink12
2016-11-30viewmaplink73

Note: the values above do not represent Kartographer usage, a sampling per event is also applied. I put it there as an indication of the number of events saved everyday in the database. By increasing from 1% to 10% of users tracked, we should receive about 10 times more events.

Event Timeline

JGirault created this task.Dec 2 2016, 2:49 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 2 2016, 2:49 AM
JGirault updated the task description. (Show Details)Dec 2 2016, 2:50 AM
JGirault moved this task from Backlog to To-do on the Maps-Sprint board.Dec 5 2016, 7:48 PM

Change 325362 had a related patch set uploaded (by JGirault):
Increase user sampling rate from 1% yo 10%

https://gerrit.wikimedia.org/r/325362

Change 325362 merged by jenkins-bot:
Increase user sampling rate from 1% yo 10%

https://gerrit.wikimedia.org/r/325362

JGirault closed this task as Resolved.Dec 6 2016, 4:45 AM
JGirault moved this task from To-do to Needs review on the Maps-Sprint board.
Deskana moved this task from Needs review to Done on the Maps-Sprint board.Apr 19 2017, 4:27 PM